/**
 * This class provides a clean interface that allows another program
 * to read a line of input from standard input.
 *
 * @author <A HREF="mailto:gte220j@prism.gatech.edu.com"> J.Chris Holmes </A>
 * @version Version 1.0, 4/23/2001
 */

import java.io.*;

public class IOHelp
{
  private static BufferedReader myIn = null;

  /**
   * This class should not be instantiated.
   */
  private IOHelp() { }
 
  /**
   * Returns a String read from standard in.
   *
   * @return  A string read from standard in
   */
  public static String readLine() throws java.io.IOException
  {
    if(myIn == null) myIn = 
      new BufferedReader(new InputStreamReader(System.in));

    return(myIn.readLine());
  }
}
